Subject: Re[2]: [PATCH][v4] powerpc 44x: support for 256KB PAGE_SIZE

From: Yuri Tikhonov <[email-masked]>
Date: Fri, 16 Jan 2009 18:18:42 +0300

Hello Milton,

On Friday, January 16, 2009 you wrote:

> On Jan 12, 2009, at 4:49 PM, Yuri Tikhonov wrote:

>> This patch adds support for 256KB pages on ppc44x-based boards.

> Another day, another comment.  The motivation for reply was the second
> comment below.

>>
>> diff --git a/arch/powerpc/Kconfig b/arch/powerpc/Kconfig
>> index 84b8613..18f33ef 100644
>> --- a/arch/powerpc/Kconfig
>> +++ b/arch/powerpc/Kconfig
>> @@ -443,6 +443,19 @@ config PPC_64K_PAGES
>>       bool "64k page size" if 44x || PPC_STD_MMU_64
>>       select PPC_HAS_HASH_64K if PPC_STD_MMU_64
>>
>> +config PPC_256K_PAGES
>> +     bool "256k page size" if 44x
>> +     depends on !STDBINUTILS && !SHMEM

> depends on !STDBINUTILS && (!SHMEM || BROKEN)

> to identify that it is not fundamentally incompatable just not a chance
> of working without other changes.

 This makes sense.

[..]

>> +config STDBINUTILS
>> +     bool "Using standard binutils settings"
>> +     depends on 44x
>> +     default y

> I think this should be

> config STDBINUTILS
>         bool "Using standard binutils settings" if 44x
>         default y

> that way we imply that all powerpc users are using the standard=20
> binutils instead of only those using a 44x platform.  We still get the
> intended effect of asking the user only on 44x.

> I haven't looked at the resulting question or config order to see if it
> makes sense to leave it here or put it closer to the page size.

 I'm not sure about this. For 44x platforms - the STDBINUTILS option=20
is reasonable, because it's used in the PAGE_SIZE selection process.=20
But as regarding the other powerpcs the STDBINUTILS option will do=20
nothing, but taking a superfluous string in configs. Are you sure this=20
will be better ?

 Regards, Yuri

 --
 Yuri Tikhonov, Senior Software Engineer
 Emcraft Systems, www.emcraft.com